class AddLineCodeToJournals < ActiveRecord::Migration[5.2]
  def change
    add_column :journals, :commit_id, :string
    add_column :journals, :diff, :text, :limit => 4294967295
    add_column :journals, :line_code, :string
    add_column :journals, :path, :string
    add_column :journals, :state, :integer, default: 0
    add_column :journals, :resolve_at, :datetime
    add_column :journals, :resolveer_id, :integer, index: true
    add_column :journals, :need_respond, :bool, default: false
    add_column :journals, :updated_on, :datetime, index: true
  end
end
